<?php
/**
 * This template will display category page
 *
 * @package Wordpress
 * @since 1.0
 */

get_header();
global $wp;

/* Sidebar position */
$sidebar_position = penci_get_sidebar_position_archive();
$ccolor           = '';
$category_oj      = get_queried_object();
$fea_cat_id       = $category_oj->term_id;
$cat_meta         = get_option( "category_$fea_cat_id" );
if ( isset( $cat_meta['penci_archivepage_color'] ) && $cat_meta['penci_archivepage_color'] ) {
	$ccolor = 'color:' . $cat_meta['penci_archivepage_color'] . ';';
}
$sidebar_opts = isset( $cat_meta['cat_sidebar_display'] ) ? $cat_meta['cat_sidebar_display'] : '';

if ( $sidebar_opts == 'left' ) {
	$sidebar_position = 'left-sidebar';
} elseif ( $sidebar_opts == 'right' ) {
	$sidebar_position = 'right-sidebar';
} elseif ( $sidebar_opts == 'two' ) {
	$sidebar_position = 'two-sidebar';
}

$show_sidebar = false;
if ( ( penci_get_setting( 'penci_sidebar_archive' ) && $sidebar_opts != 'no' ) || $sidebar_opts == 'left' || $sidebar_opts == 'right' || $sidebar_opts == 'two' ) {
	$show_sidebar = true;
} else {
	/* Use $template to detect sidebar for category - use this value for load correct sidebar in content templates */
	$template = 'no-sidebar';
}

$archive_desc_align = get_theme_mod( 'penci_archive_descalign', '' );
if ( $archive_desc_align ) {
	$archive_desc_align = ' pcdesc-' . $archive_desc_align;
}

/* Categories layout */
$layout_this = get_theme_mod( 'penci_archive_layout' );
if ( ! isset( $layout_this ) || empty( $layout_this ) ): $layout_this = 'standard'; endif;

$category_oj = get_queried_object();
$fea_cat_id  = $category_oj->term_id;
$cat_meta    = get_option( "category_$fea_cat_id" );
$cat_layout  = isset( $cat_meta['cat_layout'] ) ? $cat_meta['cat_layout'] : '';
if ( $cat_layout != '' ):
	$layout_this = $cat_layout;
endif;

$class_layout = '';
if ( $layout_this == 'classic' ): $class_layout = ' classic-layout'; endif;
$two_sidebar_class = '';
if ( 'two-sidebar' == $sidebar_position ): $two_sidebar_class = ' two-sidebar'; endif;
?>

<?php if ( ! get_theme_mod( 'penci_disable_breadcrumb' ) && ! get_theme_mod( 'penci_move_breadcrumbs' ) ): ?>
	<?php
	$yoast_breadcrumb = $rm_breadcrumb = '';
	if ( function_exists( 'yoast_breadcrumb' ) ) {
		$yoast_breadcrumb = yoast_breadcrumb( '<div class="container penci-breadcrumb' . $two_sidebar_class . '">', '</div>', false );
	}

	if ( function_exists( 'rank_math_get_breadcrumbs' ) ) {
		$rm_breadcrumb = rank_math_get_breadcrumbs( [
			'wrap_before' => '<div class="container penci-breadcrumb"><nav aria-label="breadcrumbs" class="rank-math-breadcrumb">',
			'wrap_after'  => '</nav></div>',
		] );
	}

	if ( $rm_breadcrumb ) {
		echo $rm_breadcrumb;
	} elseif ( $yoast_breadcrumb ) {
		echo $yoast_breadcrumb;
	} else { ?>
        <div class="container penci-breadcrumb<?php echo $two_sidebar_class; ?>">
            <span><a class="crumb"
                     href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo penci_get_setting( 'penci_trans_home' ); ?></a></span><?php penci_fawesome_icon( 'fas fa-angle-right' ); ?>
			<?php
			$parent_ID = penci_get_category_parent_id( $fea_cat_id );
			if ( $parent_ID ):
				echo penci_get_category_parents( $parent_ID );
			endif;
			?>
            <span><?php single_cat_title( '', true ); ?></span>
        </div>
	<?php } ?>
<?php endif; ?>

<?php if ( penci_featured_exclude_posts() ): ?>

    <div class="archive-box<?php if ( get_theme_mod( 'penci_general_show_post_order' ) ): ?> pc-has-sorter<?php endif; ?>">
        <div class="title-bar">
			<?php if ( ! get_theme_mod( 'penci_remove_cat_words' ) ): ?>
                <span><?php echo penci_get_setting( 'penci_trans_category' ); ?></span> <?php endif; ?>
            <h1 style="<?php echo $ccolor; ?>"><?php printf( esc_html__( '%s', 'soledad' ), single_cat_title( '', false ) ); ?></h1>
			<?php do_action( 'penci_archive_follow_button' ); ?>
        </div>
		<?php if ( get_theme_mod( 'penci_general_show_post_order' ) ): ?>
            <div class="pc-title-bar-sorter">
				<?php $current_sort = get_query_var( 'pc_archive_sort', 'desc' ); ?>
                <form action="<?php echo home_url( $wp->request ); ?>" method="get">
                    <select name="pc_archive_sort" id="pc_archive_sort">
                        <option <?php selected( 'desc', $current_sort ); ?>
                                value="desc"><?php _e( 'Newest', 'soledad' ); ?></option>
                        <option <?php selected( 'asc', $current_sort ); ?>
                                value="asc"><?php _e( 'Oldest', 'soledad' ); ?></option>
                    </select>
                </form>
            </div>
		<?php endif; ?>
    </div>


	<?php if ( category_description() && ! get_theme_mod( 'penci_archive_move_desc' ) ) : // Show an optional category description ?>
        <div class="container <?php echo $two_sidebar_class; ?>">
            <div class="post-entry penci-category-description<?php echo $archive_desc_align; ?>">
                <div class="penci-category-description-inner">
					<?php echo do_shortcode( category_description() ); ?>
                </div>
				<?php if ( ! get_theme_mod( 'penci_archive_disable_desc_collapse' ) ): ?>
                    <div class="penci-category-description-button">
                        <a href="#" title="<?php echo penci_get_setting( 'penci_trans_read_more' ); ?>"
                           aria-label="<?php echo penci_get_setting( 'penci_trans_read_more' ); ?>"><?php echo penci_get_setting( 'penci_trans_read_more' ); ?></a>
                    </div>
				<?php endif; ?>
            </div>
        </div>
	<?php endif; ?>

<?php endif; ?>

<?php do_action( 'penci_featured_archive_posts' ); ?>

<div class="container<?php echo esc_attr( $class_layout );
if ( $show_sidebar ) : ?> penci_sidebar <?php echo esc_attr( $sidebar_position ); ?><?php endif; ?>">
    <div id="main"
         class="penci-layout-<?php echo esc_attr( $layout_this ); ?><?php if ( get_theme_mod( 'penci_sidebar_sticky' ) ): ?> penci-main-sticky-sidebar<?php endif; ?>">
        <div class="theiaStickySidebar">

			<?php if ( ! get_theme_mod( 'penci_disable_breadcrumb' ) && get_theme_mod( 'penci_move_breadcrumbs' ) ): ?>
				<?php
				$yoast_breadcrumb = $rm_breadcrumb = '';
				if ( function_exists( 'yoast_breadcrumb' ) ) {
					$yoast_breadcrumb = yoast_breadcrumb( '<div class="container penci-breadcrumb penci-crumb-inside' . $two_sidebar_class . '">', '</div>', false );
				}

				if ( function_exists( 'rank_math_get_breadcrumbs' ) ) {
					$rm_breadcrumb = rank_math_get_breadcrumbs( [
						'wrap_before' => '<div class="container penci-breadcrumb penci-crumb-inside' . $two_sidebar_class . '"><nav aria-label="breadcrumbs" class="rank-math-breadcrumb">',
						'wrap_after'  => '</nav></div>',
					] );
				}

				if ( $rm_breadcrumb ) {
					echo $rm_breadcrumb;
				} elseif ( $yoast_breadcrumb ) {
					echo $yoast_breadcrumb;
				} else { ?>
                    <div class="container penci-breadcrumb penci-crumb-inside<?php echo $two_sidebar_class; ?>">
                            <span><a class="crumb"
                                     href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo penci_get_setting( 'penci_trans_home' ); ?></a></span><?php penci_fawesome_icon( 'fas fa-angle-right' ); ?>
						<?php
						$parent_ID = penci_get_category_parent_id( $fea_cat_id );
						if ( $parent_ID ):
							echo penci_get_category_parents( $parent_ID );
						endif;
						?>
                        <span><?php single_cat_title( '', true ); ?></span>
                    </div>
				<?php } ?>
			<?php endif; ?>

			<?php if ( ! penci_featured_exclude_posts() ) {
				?>

                <div class="archive-box<?php if ( get_theme_mod( 'penci_general_show_post_order' ) ): ?> pc-has-sorter<?php endif; ?>">
                    <div class="title-bar">
						<?php if ( ! get_theme_mod( 'penci_remove_cat_words' ) ): ?>
                            <span><?php echo penci_get_setting( 'penci_trans_category' ); ?></span> <?php endif; ?>
                        <h1 style="<?php echo $ccolor; ?>"><?php printf( esc_html__( '%s', 'soledad' ), single_cat_title( '', false ) ); ?></h1>
						<?php do_action( 'penci_archive_follow_button' ); ?>
                    </div>
					<?php if ( get_theme_mod( 'penci_general_show_post_order' ) ): ?>
                        <div class="pc-title-bar-sorter">
							<?php $current_sort = get_query_var( 'pc_archive_sort', 'desc' ); ?>
                            <form action="<?php echo home_url( $wp->request ); ?>" method="get">
                                <select name="pc_archive_sort" id="pc_archive_sort">
                                    <option <?php selected( 'desc', $current_sort ); ?>
                                            value="desc"><?php _e( 'Newest', 'soledad' ); ?></option>
                                    <option <?php selected( 'asc', $current_sort ); ?>
                                            value="asc"><?php _e( 'Oldest', 'soledad' ); ?></option>
                                </select>
                            </form>
                        </div>
					<?php endif; ?>
                </div>

				<?php if ( category_description() && ! get_theme_mod( 'penci_archive_move_desc' ) ) : // Show an optional category description ?>
                    <div class="post-entry penci-category-description<?php echo $archive_desc_align; ?>">
                        <div class="penci-category-description-inner">
							<?php echo do_shortcode( category_description() ); ?>
                        </div>
						<?php if ( ! get_theme_mod( 'penci_archive_disable_desc_collapse' ) ): ?>
                            <div class="penci-category-description-button">
                                <a href="#" title="<?php echo penci_get_setting( 'penci_trans_read_more' ); ?>"
                                   aria-label="<?php echo penci_get_setting( 'penci_trans_read_more' ); ?>"><?php echo penci_get_setting( 'penci_trans_read_more' ); ?></a>
                            </div>
						<?php endif; ?>
                    </div>
				<?php endif; ?>

			<?php } else {

				$format_title = penci_get_setting( 'penci_arf_title' );
				if ( $format_title && ! penci_featured_title_check() ) {
					$heading_widget_title = get_theme_mod( 'penci_sidebar_heading_style' ) ? get_theme_mod( 'penci_sidebar_heading_style' ) : 'style-1';
					$heading_widget_align = get_theme_mod( 'penci_sidebar_heading_align' ) ? get_theme_mod( 'penci_sidebar_heading_align' ) : 'pcalign-center';
					$heading_title        = get_theme_mod( 'penci_featured_cat_style' ) ? get_theme_mod( 'penci_featured_cat_style' ) : $heading_widget_title;
					$heading_align        = get_theme_mod( 'penci_featured_cat_align' ) ? get_theme_mod( 'penci_featured_cat_align' ) : $heading_widget_align;
					$sb_icon_pos          = get_theme_mod( 'penci_sidebar_icon_align' ) ? get_theme_mod( 'penci_sidebar_icon_align' ) : 'pciconp-right';
					$sidebar_icon_pos     = get_theme_mod( 'penci_homep_icon_align' ) ? get_theme_mod( 'penci_homep_icon_align' ) : $sb_icon_pos;
					$sb_icon_design       = get_theme_mod( 'penci_sidebar_icon_design' ) ? get_theme_mod( 'penci_sidebar_icon_design' ) : 'pcicon-right';
					$sidebar_icon_design  = get_theme_mod( 'penci_homep_icon_design' ) ? get_theme_mod( 'penci_homep_icon_design' ) : $sb_icon_design;
					$heading_title        = get_theme_mod( 'penci_arf_title_style', $heading_title );
					?>
                    <div class="featured-list-title penci-border-arrow penci-homepage-title penci-magazine-title <?php echo esc_attr( $heading_title . ' ' . $heading_align . ' ' . $sidebar_icon_pos . ' ' . $sidebar_icon_design ); ?>">
                        <h2 class="inner-arrow">
							<?php
							echo str_replace( '{name}', single_cat_title( '', false ), $format_title );
							?>
                        </h2>
                    </div>

				<?php }
			} ?>

			<?php echo penci_render_google_adsense( 'penci_archive_ad_above' ); ?>

			<?php if ( have_posts() ) : ?>
				<?php
				$class_grid_arr = array(
					'mixed',
					'mixed-2',
					'mixed-3',
					'mixed-4',
					'small-list',
					'overlay-grid',
					'overlay-list',
					'photography',
					'grid',
					'grid-2',
					'list',
					'boxed-1',
					'boxed-2',
					'boxed-3',
					'standard-grid',
					'standard-grid-2',
					'standard-list',
					'standard-boxed-1',
					'classic-grid',
					'classic-grid-2',
					'classic-list',
					'classic-boxed-1',
					'magazine-1',
					'magazine-2'
				);
				if ( in_array( $layout_this, $class_grid_arr ) ) {
					echo '<ul class="penci-wrapper-data penci-grid">';
				} elseif ( in_array( $layout_this, array( 'masonry', 'masonry-2' ) ) ) {
					echo '<div class="penci-wrap-masonry"><div class="penci-wrapper-data masonry penci-masonry">';
				} elseif ( get_theme_mod( 'penci_archive_nav_ajax' ) || get_theme_mod( 'penci_archive_nav_scroll' ) ) {
					echo '<div class="penci-wrapper-data">';
				}
				/* The loop */
				$infeed_ads  = get_theme_mod( 'penci_infeedads_archi_code' ) ? get_theme_mod( 'penci_infeedads_archi_code' ) : '';
				$infeed_num  = get_theme_mod( 'penci_infeedads_archi_num' ) ? get_theme_mod( 'penci_infeedads_archi_num' ) : 3;
				$infeed_full = get_theme_mod( 'penci_infeedads_archi_layout' ) ? get_theme_mod( 'penci_infeedads_archi_layout' ) : '';
				while ( have_posts() ) : the_post();
					include( locate_template( 'content-' . $layout_this . '.php' ) );
				endwhile;

				if ( in_array( $layout_this, $class_grid_arr ) ) {
					echo '</ul>';
				} elseif ( in_array( $layout_this, array( 'masonry', 'masonry-2' ) ) ) {
					echo '</div></div>';
				} elseif ( get_theme_mod( 'penci_archive_nav_ajax' ) || get_theme_mod( 'penci_archive_nav_scroll' ) ) {
					echo '</div>';
				}
				penci_soledad_archive_pag_style( $layout_this );
				?>
			<?php endif;
			wp_reset_postdata(); /* End if of the loop */ ?>

			<?php if ( category_description() && get_theme_mod( 'penci_archive_move_desc' ) ) : // Show an optional category description ?>
                <div class="post-entry penci-category-description penci-acdes-below<?php echo $archive_desc_align; ?>"><?php echo do_shortcode( category_description() ); ?></div>
			<?php endif; ?>

			<?php echo penci_render_google_adsense( 'penci_archive_ad_below' ); ?>

        </div>
    </div>

	<?php
	if ( $show_sidebar ) {
		get_sidebar();

		$category_layout_sidebar = get_theme_mod( 'penci_two_sidebar_archive' );
		if ( $sidebar_opts ) {
			$category_layout_sidebar = $sidebar_opts;
		}

		if ( 'two' == $category_layout_sidebar ) {
			get_sidebar( 'left' );
		}
	}
	?>
</div>
<?php get_footer(); ?>
